Package ru.bitel.bgbilling.modules.bill.server.bean

# Class Bill.Builder

java.lang.Object
ru.bitel.bgbilling.modules.bill.server.bean.Bill.Builder

Enclosing class:
  `Bill`

public static class Bill.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Bill`
  `build()`
  `Bill.Builder`
  `setAccountId(int accountId)`
  `Bill.Builder`
  `setBankAccount(BankAccount bankAccount)`
  `Bill.Builder`
  `setContractId(int contractId)`
  `Bill.Builder`
  `setCreateDate(Date createDate)`
  `Bill.Builder`
  `setFormatNumber(String formatNumber)`
  `Bill.Builder`
  `setId(int id)`
  `Bill.Builder`
  `setMm(int mm)`
  `Bill.Builder`
  `setNpid(int npid)`
  `Bill.Builder`
  `setNumber(int number)`
  `Bill.Builder`
  `setNumberInMonth(int numberInMonth)`
  `Bill.Builder`
  `setNumberInYear(int numberInYear)`
  `Bill.Builder`
  `setPayDate(Date payDate)`
  `Bill.Builder`
  `setPaymentId(int paymentId)`
  `Bill.Builder`
  `setPayUid(int payUid)`
  `Bill.Builder`
  `setStatus(int status)`
  `Bill.Builder`
  `setSumm(BigDecimal sum)`
  `Bill.Builder`
  `setTypeId(int typeId)`
  `Bill.Builder`
  `setUnloadStatus(int unloadStatus)`
  `Bill.Builder`
  `setUserId(int userId)`
  `Bill.Builder`
  `setYy(int yy)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public Bill.Builder setId(int id)

  - ### setContractId

    public Bill.Builder setContractId(int contractId)

  - ### setPaymentId

    public Bill.Builder setPaymentId(int paymentId)

  - ### setTypeId

    public Bill.Builder setTypeId(int typeId)

  - ### setNumber

    public Bill.Builder setNumber(int number)

  - ### setNumberInMonth

    public Bill.Builder setNumberInMonth(int numberInMonth)

  - ### setNumberInYear

    public Bill.Builder setNumberInYear(int numberInYear)

  - ### setFormatNumber

    public Bill.Builder setFormatNumber(String formatNumber)

  - ### setYy

    public Bill.Builder setYy(int yy)

  - ### setMm

    public Bill.Builder setMm(int mm)

  - ### setCreateDate

    public Bill.Builder setCreateDate(Date createDate)

  - ### setSumm

    public Bill.Builder setSumm(BigDecimal sum)

  - ### setNpid

    public Bill.Builder setNpid(int npid)

  - ### setAccountId

    public Bill.Builder setAccountId(int accountId)

  - ### setBankAccount

    public Bill.Builder setBankAccount(BankAccount bankAccount)

  - ### setUserId

    public Bill.Builder setUserId(int userId)

  - ### setStatus

    public Bill.Builder setStatus(int status)

  - ### setUnloadStatus

    public Bill.Builder setUnloadStatus(int unloadStatus)

  - ### setPayDate

    public Bill.Builder setPayDate(Date payDate)

  - ### setPayUid

    public Bill.Builder setPayUid(int payUid)

  - ### build

    public Bill build()